package com.alttd.altitudeweb.setup;

import com.alttd.altitudeweb.database.Databases;
import com.alttd.altitudeweb.database.discord.AppealListMapper;
import com.alttd.altitudeweb.database.discord.OutputChannelMapper;
import com.alttd.altitudeweb.database.luckperms.TeamMemberMapper;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class InitializeDiscord {

    protected static void init() {
        log.info("Initializing Discord");
        Connection.getConnection(Databases.DISCORD, (configuration) -> {
            configuration.addMapper(OutputChannelMapper.class);
            configuration.addMapper(AppealListMapper.class);
        }).join();
        log.debug("Initialized Discord");
    }

}
